#pragma once

#include <string> // para string

namespace lang
{
    enum class Code : int
    {
        es_ES = 0,
        ba_BA = 1,
        en_UK = 2,
    };

    // Inicializa los textos del juego en el idioma seleccionado
    bool loadFromFile(std::string file_path);

    // Obtiene la cadena de texto del indice
    std::string getText(int index);
}